Page MenuHomeVyOS Platform

Rewrite NAT in new XML/Python style
Closed, ResolvedPublic

Description

NAT syntax is inconsistent and in my opinion error prone.

set nat destination rule 1 source port supports setting a service name as port, e.g. http for port 80, set nat destination rule 1 translation port does not support this notation.

  • write migration script removing enable/disable from set nat destination rule 1 log node and make it valueless

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible

Event Timeline

jjakob triaged this task as Wishlist priority.Apr 2 2020, 11:46 AM
jjakob created this task.
jjakob created this object in space S1 VyOS Public.
pasik added a subscriber: pasik.Apr 2 2020, 3:34 PM
jjakob removed jjakob as the assignee of this task.Apr 30 2020, 5:35 PM
c-po changed the task status from Open to In progress.May 1 2020, 7:04 AM
c-po claimed this task.
c-po raised the priority of this task from Wishlist to Normal.
c-po updated the task description. (Show Details)May 1 2020, 10:55 AM

A list of all related tasks from a search: T1999 T1877 T538 T970 T99 T1095

c-po closed this task as Resolved.May 16 2020, 4:39 PM
c-po updated the task description. (Show Details)
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.May 21 2020, 5:25 PM